#include <iostream>
#include <cmath>

using namespace std;

int main() {
    int n, m;
    cin >> n >> m;
    int k = 0;
    int z = 0;
    bool t = true;
    if (m<3 || n<3){
        t=false;
        k=0;
    }
    if (m%2==1 && t){
        for (int i = 1; i <= n-2; i++){
            if (z%2==0){
                k += ceil(((double)m-2)/2);
                z++;
            }
            else if (z%2==1){
                k+= ceil(((double)m-2)/2)-1;
                z++;
            }
        }
    }
    else if (m%2==0 && t){
        for(int j = 1; j<=n-2; j++){
            k += ceil(((double)m-2)/2);
        }
    }
    int x;
    x=m*n-k;
    cout << x;
    return 0;
}